@include('layouts.admin.stats')

<div class="container-fluid pt-2">
   <div class="row">
      <div class="col-12">
         <div class="card mt-4">
            <div class="card-header p-0 position-relative mt-n4 ms-3 me-3 z-index-2">
                <div class="bg-gradient-icc-orange shadow-primary border-radius-lg pt-4 pb-3">
                    <h6 class="text-white text-capitalize ps-4">
                        <div class="text-white me-2 d-flex align-items-center">
                            <i class="material-icons opacity-10">{{ $tableTitleIcon }}</i>
                            <span class="ms-1">{{ $tableTitle }}</span>
                        </div>
                    </h6>
                    {{-- <div class="nav-tabs-wrapper">
                        <ul class="nav nav-tabs" data-tabs="tabs">
                            <li class="nav-item">
                                <a class="nav-link active" href="#tousLesComptesActifs" data-toggle="tab">
                                    <i class="material-icons">group</i> Actifs
                                    <div class="ripple-container"></div>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#tousLesComptesInactifs" data-toggle="tab">
                                    <i class="material-icons">group_off</i> Inactifs
                                    <div class="ripple-container"></div>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#franchises" data-toggle="tab">
                                    <i class="material-icons">handshake</i> Franchisés
                                    <div class="ripple-container"></div>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#affilies" data-toggle="tab">
                                    <i class="material-icons">diversity_3</i> Affiliés
                                    <div class="ripple-container"></div>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#iccDev" data-toggle="tab">
                                    <i class="material-icons">badge</i> Employés ICC Dev.
                                    <div class="ripple-container"></div>
                                </a>
                            </li>
                        </ul>
                    </div> --}}
                </div>
            </div>
            <div class="card-body px-0 pb-2">
               <div class="table-responsive p-0">
                  <table class="table align-items-center mb-0">
                     <thead>
                        <tr>
                           <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Utilisateurs</th>
                           <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7 ps-2">Type de contrat</th>
                           <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Statut</th>
                           <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Fonction</th>
                           <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Agences</th>
                           <th class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-7">Arrivée</th>
                           <!-- <th class="text-secondary opacity-7">Agence</th> -->
                        </tr>
                     </thead>
                     <tbody>
                        @foreach ($allUsers as $member)
                            <tr>
                                <td>
                                    <div class="d-flex px-2 py-1 ms-2">
                                        <div>
                                            @if ($member->EMPLOYEE_PHOTO)
                                                <img src="{{ $member->EMPLOYEE_PHOTO }}" class="avatar avatar-sm me-3 border-radius-lg" alt="{{ $member->EMPLOYEE_PRENOM }}_{{ $member->EMPLOYEE_NOM }}_id">
                                            @else
                                                <img src="{{ asset('/img/nobody.jpg') }}" class="avatar avatar-sm me-3 border-radius-lg" alt="nobody_id">
                                            @endif
                                        </div>
                                        <div class="d-flex flex-column justify-content-center">
                                            <h6 class="mb-0 text-sm">{{ $member->EMPLOYEE_NOM }} {{ $member->EMPLOYEE_PRENOM }}</h6>
                                            <p class="text-xs text-secondary mb-0">{{ $member->EMPLOYEE_EMAILPRO }}</p>
                                        </div>
                                    </div>
                                </td>
                                <td class="align-middle text-sm">
                                    <span class="text-xs text-secondary mb-0">{{ $member->EMPLOYEE_TYPECONTRAT }}</span>
                                </td>
                                <td class="align-middle text-center text-sm">
                                    @if ($member->EMPLOYEE_COMPTEACTIF == '1')
                                        <span class="badge badge-sm bg-gradient-success">Actif</span>
                                    @elseif ($member->EMPLOYEE_COMPTEACTIF == '0')
                                        <span class="badge badge-sm bg-gradient-icc-orange">Inactif</span>
                                    @endif
                                </td>
                                <td>
                                    <p class="text-xs font-weight-bold mb-0 ms-3">{{ $member->EMPLOYEE_STATUT }}</p>
                                    <p class="text-xs text-secondary mb-0 ms-3">{{ $member->EMPLOYEE_FONCTION }}</p>
                                </td>
                                <td>
                                    <?php
                                        $agence = $member->AGENCE_NOM;
                                        $md5Agence = md5($agence);
                                        $couleurAgence = substr($md5Agence,-6);
                                    ?>
                                    <!-- <p class="text-xs font-weight-bold mb-0 ms-3">{{ $member->AGENCE_NOM }}</p> -->
                                    <div class="flex flex-wrap ms-3">
                                        <a onclick='Livewire.emit("openModal", "agence-details-mod", {{ json_encode(["userId" => $member->EMPLOYEE_FKAGENCEID]) }})' name="agence_link"
                                            style="margin: 2px;" class="px-2 py-1 font-medium rounded-sm icc-etiquette-info">
                                            <b class="text-xs">{{ $member->AGENCE_NOM }}</b>
                                        </a>
                                    </div>
                                </td>
                                <td class="align-middle text-center">
                                    @if($member->EMPLOYEE_DATEARRIVEE != null)
                                        <?php
                                            $dateArrivee = date('d/m/Y', strtotime($member->EMPLOYEE_DATEARRIVEE));
                                            $dateArriveeCachee = date('Y/m/d', strtotime($member->EMPLOYEE_DATEARRIVEE));
                                        ?>
                                    @else
                                        <?php
                                            $dateArrivee = "-";
                                            $dateArriveeCachee = "-";
                                        ?>
                                    @endif
                                    <span hidden>{{ $dateArriveeCachee }}</span>
                                    <span class="text-secondary text-xs font-weight-bold">{{ $dateArrivee }}</span>
                                </td>

                                <!-- <td class="align-middle text-center">
                                    <span class="text-secondary text-xs font-weight-bold">23/04/18</span>
                                </td>
                                <td class="align-middle">
                                    <a href="javascript:;" class="text-secondary font-weight-bold text-xs" data-toggle="tooltip" data-original-title="Edit user">
                                    Edit
                                    </a>
                                </td> -->
                            </tr>
                        @endforeach
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
      </div>
   </div>
   <!-- <div class="row">
      <div class="col-12">
         <div class="card my-4">
            <div class="card-header p-0 position-relative mt-n4 ms-3 z-index-2">
               <div class="bg-gradient-icc-orange shadow-icc-orange border-radius-lg pt-4 pb-3">
                  <h6 class="text-white text-capitalize ps-3">Projects table</h6>
               </div>
            </div>
            <div class="card-body px-0 pb-2">
               <div class="table-responsive p-0">
                  <table class="table align-items-center justify-content-center mb-0">
                     <thead>
                        <tr>
                           <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Project</th>
                           <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7 ps-2">Budget</th>
                           <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7 ps-2">Status</th>
                           <th class="text-uppercase text-secondary text-xxs font-weight-bolder text-center opacity-7 ps-2">Completion</th>
                           <th></th>
                        </tr>
                     </thead>
                     <tbody>
                        <tr>
                           <td>
                              <div class="d-flex px-2">
                                 <div>
                                    <img src="{{ asset('material') }}/img/small-logos/logo-asana.svg" class="avatar avatar-sm rounded-circle me-2" alt="spotify">
                                 </div>
                                 <div class="my-auto">
                                    <h6 class="mb-0 text-sm">Asana</h6>
                                 </div>
                              </div>
                           </td>
                           <td>
                              <p class="text-sm font-weight-bold mb-0">$2,500</p>
                           </td>
                           <td>
                              <span class="text-xs font-weight-bold">working</span>
                           </td>
                           <td class="align-middle text-center">
                              <div class="d-flex align-items-center justify-content-center">
                                 <span class="me-2 text-xs font-weight-bold">60%</span>
                                 <div>
                                    <div class="progress">
                                       <div class="progress-bar bg-gradient-info" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 60%;"></div>
                                    </div>
                                 </div>
                              </div>
                           </td>
                           <td class="align-middle">
                              <button class="btn btn-link text-secondary mb-0">
                              <i class="fa fa-ellipsis-v text-xs"></i>
                              </button>
                           </td>
                        </tr>
                        <tr>
                           <td>
                              <div class="d-flex px-2">
                                 <div>
                                    <img src="{{ asset('material') }}/img/small-logos/github.svg" class="avatar avatar-sm rounded-circle me-2" alt="invision">
                                 </div>
                                 <div class="my-auto">
                                    <h6 class="mb-0 text-sm">Github</h6>
                                 </div>
                              </div>
                           </td>
                           <td>
                              <p class="text-sm font-weight-bold mb-0">$5,000</p>
                           </td>
                           <td>
                              <span class="text-xs font-weight-bold">done</span>
                           </td>
                           <td class="align-middle text-center">
                              <div class="d-flex align-items-center justify-content-center">
                                 <span class="me-2 text-xs font-weight-bold">100%</span>
                                 <div>
                                    <div class="progress">
                                       <div class="progress-bar bg-gradient-success" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%;"></div>
                                    </div>
                                 </div>
                              </div>
                           </td>
                           <td class="align-middle">
                              <button class="btn btn-link text-secondary mb-0" aria-haspopup="true" aria-expanded="false">
                              <i class="fa fa-ellipsis-v text-xs"></i>
                              </button>
                           </td>
                        </tr>
                        <tr>
                           <td>
                              <div class="d-flex px-2">
                                 <div>
                                    <img src="{{ asset('material') }}/img/small-logos/logo-atlassian.svg" class="avatar avatar-sm rounded-circle me-2" alt="jira">
                                 </div>
                                 <div class="my-auto">
                                    <h6 class="mb-0 text-sm">Atlassian</h6>
                                 </div>
                              </div>
                           </td>
                           <td>
                              <p class="text-sm font-weight-bold mb-0">$3,400</p>
                           </td>
                           <td>
                              <span class="text-xs font-weight-bold">canceled</span>
                           </td>
                           <td class="align-middle text-center">
                              <div class="d-flex align-items-center justify-content-center">
                                 <span class="me-2 text-xs font-weight-bold">30%</span>
                                 <div>
                                    <div class="progress">
                                       <div class="progress-bar bg-gradient-danger" role="progressbar" aria-valuenow="30" aria-valuemin="0" aria-valuemax="30" style="width: 30%;"></div>
                                    </div>
                                 </div>
                              </div>
                           </td>
                           <td class="align-middle">
                              <button class="btn btn-link text-secondary mb-0" aria-haspopup="true" aria-expanded="false">
                              <i class="fa fa-ellipsis-v text-xs"></i>
                              </button>
                           </td>
                        </tr>
                        <tr>
                           <td>
                              <div class="d-flex px-2">
                                 <div>
                                    <img src="{{ asset('material') }}/img/small-logos/bootstrap.svg" class="avatar avatar-sm rounded-circle me-2" alt="webdev">
                                 </div>
                                 <div class="my-auto">
                                    <h6 class="mb-0 text-sm">Bootstrap</h6>
                                 </div>
                              </div>
                           </td>
                           <td>
                              <p class="text-sm font-weight-bold mb-0">$14,000</p>
                           </td>
                           <td>
                              <span class="text-xs font-weight-bold">working</span>
                           </td>
                           <td class="align-middle text-center">
                              <div class="d-flex align-items-center justify-content-center">
                                 <span class="me-2 text-xs font-weight-bold">80%</span>
                                 <div>
                                    <div class="progress">
                                       <div class="progress-bar bg-gradient-info" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="80" style="width: 80%;"></div>
                                    </div>
                                 </div>
                              </div>
                           </td>
                           <td class="align-middle">
                              <button class="btn btn-link text-secondary mb-0" aria-haspopup="true" aria-expanded="false">
                              <i class="fa fa-ellipsis-v text-xs"></i>
                              </button>
                           </td>
                        </tr>
                        <tr>
                           <td>
                              <div class="d-flex px-2">
                                 <div>
                                    <img src="{{ asset('material') }}/img/small-logos/logo-slack.svg" class="avatar avatar-sm rounded-circle me-2" alt="slack">
                                 </div>
                                 <div class="my-auto">
                                    <h6 class="mb-0 text-sm">Slack</h6>
                                 </div>
                              </div>
                           </td>
                           <td>
                              <p class="text-sm font-weight-bold mb-0">$1,000</p>
                           </td>
                           <td>
                              <span class="text-xs font-weight-bold">canceled</span>
                           </td>
                           <td class="align-middle text-center">
                              <div class="d-flex align-items-center justify-content-center">
                                 <span class="me-2 text-xs font-weight-bold">0%</span>
                                 <div>
                                    <div class="progress">
                                       <div class="progress-bar bg-gradient-success" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="0" style="width: 0%;"></div>
                                    </div>
                                 </div>
                              </div>
                           </td>
                           <td class="align-middle">
                              <button class="btn btn-link text-secondary mb-0" aria-haspopup="true" aria-expanded="false">
                              <i class="fa fa-ellipsis-v text-xs"></i>
                              </button>
                           </td>
                        </tr>
                        <tr>
                           <td>
                              <div class="d-flex px-2">
                                 <div>
                                    <img src="{{ asset('material') }}/img/small-logos/devto.svg" class="avatar avatar-sm rounded-circle me-2" alt="xd">
                                 </div>
                                 <div class="my-auto">
                                    <h6 class="mb-0 text-sm">Devto</h6>
                                 </div>
                              </div>
                           </td>
                           <td>
                              <p class="text-sm font-weight-bold mb-0">$2,300</p>
                           </td>
                           <td>
                              <span class="text-xs font-weight-bold">done</span>
                           </td>
                           <td class="align-middle text-center">
                              <div class="d-flex align-items-center justify-content-center">
                                 <span class="me-2 text-xs font-weight-bold">100%</span>
                                 <div>
                                    <div class="progress">
                                       <div class="progress-bar bg-gradient-success" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%;"></div>
                                    </div>
                                 </div>
                              </div>
                           </td>
                           <td class="align-middle">
                              <button class="btn btn-link text-secondary mb-0" aria-haspopup="true" aria-expanded="false">
                              <i class="fa fa-ellipsis-v text-xs"></i>
                              </button>
                           </td>
                        </tr>
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
      </div>
   </div> -->
</div>