<?php echo $__env->make('layouts.members.stats', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="container-fluid pt-2">
    <div class="row">
        <div class="col-12">
            <div class="card mt-4">
                <div class="card-header p-0 position-relative mt-n4 ms-3 me-3 z-index-2">
                    <div class="bg-gradient-icc-orange shadow-primary border-radius-md py-3">
                        <h6 class="text-white text-capitalize ps-4">
                            <div class="text-white me-2 d-flex align-items-center justify-content-between font-semibold">
                                <div class="d-flex align-items-center ">
                                    <i class="material-icons opacity-10"><?php echo e($tableTitleIcon); ?></i>
                                    <span class="ms-1"><?php echo e($tableTitle); ?></span>
                                </div>
                                <div class="me-3 text-sm border-white icc-btn-orange">
                                    <a onclick='Livewire.emit("openModal", "users.user-form-mod", <?php echo e(json_encode(['userId' => ''])); ?>)'
                                        class="d-flex align-items-center">
                                        <span class="me-1">Créer un membre</span>
                                        <i class="material-icons opacity-10">add_circle</i>
                                    </a>
                                </div>
                            </div>
                        </h6>
                    </div>
                    <div class="card-body px-0">
                        <div class="table-responsive ps-3 pe-3 mb-2">
                            <table id="table_members" class="table align-items-center mb-0"
                                aria-describedby="tableau des membres">
                                <thead>
                                    <tr>
                                        <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                            Utilisateurs</th>
                                        <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                            Type de contrat</th>
                                        <th
                                            class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                            Statut</th>
                                        <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                            Fonction</th>
                                        <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                            Agences</th>
                                        <th
                                            class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-7">
                                            Arrivée</th>
                                        <th
                                            class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-7">
                                            Editer</th>
                                        <th
                                            class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-7">
                                            SharePoint</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $allUsers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $member): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td>
                                                <div class="d-flex px-2 py-1">
                                                    <div>
                                                        <?php if($member->EMPLOYEE_PHOTO): ?>
                                                            <img src="<?php echo e($member->EMPLOYEE_PHOTO); ?>"
                                                                class="avatar avatar-sm me-3 border-radius-lg"
                                                                alt="<?php echo e($member->EMPLOYEE_PRENOM); ?>_<?php echo e($member->EMPLOYEE_NOM); ?>_id">
                                                        <?php else: ?>
                                                            <img src="<?php echo e(asset('/img/nobody.jpg')); ?>"
                                                                class="avatar avatar-sm me-3 border-radius-lg"
                                                                alt="nobody_id">
                                                        <?php endif; ?>
                                                    </div>
                                                    <a onclick='Livewire.emit("openModal", "users.user-details-mod", <?php echo e(json_encode(['userId' => $member->EMPLOYEE_ID])); ?>)'
                                                        name="members_link">
                                                        <div class="d-flex flex-column justify-content-center">
                                                            <h6 class="mb-0 text-sm font-semibold">
                                                                <?php echo e($member->EMPLOYEE_NOM); ?>

                                                                <?php echo e($member->EMPLOYEE_PRENOM); ?></h6>
                                                            <p class="text-xs text-secondary mb-0">
                                                                <?php echo e($member->EMPLOYEE_EMAILPRO); ?></p>
                                                        </div>
                                                    </a>
                                                </div>
                                            </td>
                                            <td class="align-middle text-sm">
                                                <p
                                                    class="text-xs text-secondary mb-0"><?php echo e($member->EMPLOYEE_TYPECONTRAT); ?></p>
                                            </td>
                                            <td class="align-middle text-center text-sm">
                                                <?php if($member->EMPLOYEE_COMPTEACTIF == '1'): ?>
                                                    <span class="badge badge-sm bg-gradient-success">Actif</span>
                                                <?php elseif($member->EMPLOYEE_COMPTEACTIF == '0'): ?>
                                                    <span class="badge badge-sm bg-gradient-icc-orange">Inactif</span>
                                                <?php elseif($member->EMPLOYEE_COMPTEACTIF == '2'): ?>
                                                    <span class="badge badge-sm bg-gradient-danger">Archivé</span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <p class="text-sm font-weight-bold mb-0">
                                                    <?php echo e($member->EMPLOYEE_STATUT); ?></p>
                                                <p class="text-xs text-secondary mb-0">
                                                    <?php echo e($member->EMPLOYEE_FONCTION); ?></p>
                                            </td>
                                            <td>
                                                <?php
                                                    $agence = $member->AGENCE_NOM;
                                                    $md5Agence = md5($agence);
                                                    $couleurAgence = substr($md5Agence, -6);
                                                ?>
                                                <div class="flex flex-wrap">
                                                    <a onclick='Livewire.emit("openModal", "agences.agence-details-mod", <?php echo e(json_encode(["agenceId" => $member->EMPLOYEE_FKAGENCEID])); ?>)'
                                                        name="agence_link"
                                                        class="px-2 font-medium rounded-sm icc-etiquette-info">
                                                        <strong class="text-xs"><?php echo e($member->AGENCE_NOM); ?></strong>
                                                    </a>
                                                </div>
                                            </td>
                                            <td class="align-middle text-center">
                                                <?php if($member->EMPLOYEE_DATEARRIVEE != null): ?>
                                                    <?php
                                                        $dateArrivee = date('d/m/Y', strtotime($member->EMPLOYEE_DATEARRIVEE));
                                                        $dateArriveeCachee = date('Y/m/d', strtotime($member->EMPLOYEE_DATEARRIVEE));
                                                    ?>
                                                <?php else: ?>
                                                    <?php
                                                        $dateArrivee = '-';
                                                        $dateArriveeCachee = '-';
                                                    ?>
                                                <?php endif; ?>
                                                <span hidden><?php echo e($dateArriveeCachee); ?></span>
                                                <span
                                                    class="text-secondary text-xs font-weight-bold"><?php echo e($dateArrivee); ?></span>
                                            </td>
                                            <td class="align-middle text-center">
                                                <a onclick='Livewire.emit("openModal", "users.user-form-mod", <?php echo e(json_encode(["userId" => $member->EMPLOYEE_ID])); ?>)'
                                                    class="font-semibold"
                                                    title="Editer les informations de <?php echo e($member->EMPLOYEE_PRENOM); ?> <?php echo e($member->EMPLOYEE_NOM); ?>">
                                                    <span class="material-icons">mode_edit</span>
                                                </a>
                                            </td>
                                            <td class="align-middle text-center">
                                                <?php
                                                    $sharepointBase = 'https://iccfinance.sharepoint.com/sites/gestion_groupe/Documents%20partages';
                                                    $sharepointType = strtoupper($member->AGENCE_TYPE) . 'S';
                                                    $sharepointMembre = ucwords($member->EMPLOYEE_PRENOM) . ' ' . strtoupper($member->EMPLOYEE_NOM);
                                                    $directeurNom = ucwords($member->EMPLOYEE_PRENOM) . ' ' . ucwords(strtolower($member->EMPLOYEE_NOM));
                                                    if (str_contains($member->AGENCE_DIRECTEUR, $directeurNom)) {
                                                        $fonctionFolder = '10 - Gérant(s)';
                                                    } else {
                                                        $fonctionFolder = '20 - Membre(s)';
                                                    }
                                                    if ($member->AGENCE_RAISONSOCIALE === 'ICC Développement') {
                                                        $sharepointBase = 'https://iccfinance.sharepoint.com/sites/AdmingroupeICC/Documents%20partages/ICC DEVELOPPEMENT/Données Sociales';
                                                        $fonctionFolder = $member->EMPLOYEE_STATUT . 's';
                                                        $sharepointAdresse = $sharepointBase . '/' . $fonctionFolder . '/' . $sharepointMembre;
                                                    } elseif ($member->AGENCE_RAISONSOCIALE === 'ICC Finance') {
                                                        if ($member->EMPLOYEE_ESTCOURTIER) {
                                                            $agence = $member->AGENCE_NOM;
                                                            $sharepointBase = 'https://iccfinance.sharepoint.com/sites/AdmingroupeICC/Documents%20partages/ICC Finance/Membre(s)/' . $agence;
                                                            $sharepointAdresse = $sharepointBase . '/' . $sharepointMembre;
                                                        } else {
                                                            $sharepointBase = 'https://iccfinance.sharepoint.com/sites/AdmingroupeICC/Documents%20partages/ICC Finance/Données Sociales';
                                                            $fonctionFolder = $member->EMPLOYEE_STATUT . 's';
                                                            $sharepointAdresse = $sharepointBase . '/' . $fonctionFolder . '/' . $sharepointMembre;
                                                        }
                                                    } elseif ($sharepointType === 'FILIALES') {
                                                        $sharepointAgence = ucwords($member->AGENCE_NOM);
                                                        $sharepointAdresse = $sharepointBase . '/' . $sharepointType . '/ICC ' . $sharepointAgence . '/' . $fonctionFolder . '/' . $sharepointMembre;
                                                    } else {
                                                        $sharepointAgence = strtoupper($member->AGENCE_RAISONSOCIALE) . ' - ' . $member->AGENCE_NOM;
                                                        $sharepointAdresse = $sharepointBase . '/' . $sharepointType . '/' . $sharepointAgence . '/' . $fonctionFolder . '/' . $sharepointMembre;
                                                    }
                                                ?>
                                                <a href="<?php echo e(url($sharepointAdresse)); ?>" target="_blank"
                                                    title="Ouvrir le SharePoint de <?php echo e($member->EMPLOYEE_PRENOM); ?> <?php echo e($member->EMPLOYEE_NOM); ?>">
                                                    <span class="material-icons">folder</span>
                                                </a>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php echo $__env->make('js.defaultTable', ['tableId' => '#table_members'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /**PATH C:\Users\FlorianLalanne\Desktop\GITLAB_PROJECTS\icc-si\Applications\dashboard_gestion_rh\resources\views/layouts/members/table.blade.php ENDPATH**/ ?>